## zope.schema 4.4.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/zopeschema.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/zopeschema.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/zopeschema"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/zopeschema"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## zope.schema 3.7.1

=== debian/changelog ===
zope.schema (3.7.1-2ubuntu1) raring; urgency=low

  * debian/control:
    - bump Standards-Version to 3.9.3
    - enable autopkgtest
  * debian/tests: switch to zope.testrunner
  * debian/copyright: update to copyright-format 1.0

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 11 Dec 2012 16:57:10 +0200

zope.schema (3.7.1-2) unstable; urgency=low

  * Team upload.
  * Use debian/source/options to ignore changes in egg-info directory
    rather than debian/clean otherwise zcml and txt files are missing.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 08 Nov 2011 21:50:34 +0900

zope.schema (3.7.1-1) unstable; urgency=low

  * Team upload.
  
  [ Arnaud Fontaine ]
  * debian/control: add Vcs-Browser field.
  * Add debian/clean to get rid of egg-info/* to prevent FTBFS if
    built twice.
  
  [ Gediminas Paulauskas ]
  * Use dh_python2 instead of deprecated python-central. (Closes: #617175)
  * Switch to 3.0 (quilt) source format.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 19 Oct 2011 01:00:34 +0900

zope.schema (3.7.1-0ubuntu1) natty; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 09 Mar 2011 17:55:26 +0200

zope.schema (3.6.4-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Build-Depend on python-all instead of python-all-dev.
  * debian/copyright: Update, convert to dep5 format.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 07 Sep 2010 18:42:47 +0300

zope.schema (3.6.1-1) unstable; urgency=low

  * New upstream release.
  * Convert to debhelper 7 and the pydeb dh7 extension.

 -- Fabio Tranchitella <kobold@debian.org>  Wed, 06 Jan 2010 13:13:07 +0100

zope.schema (3.5.4-6) unstable; urgency=low

  [ Matthias Klose ]
  * Set section to zope.

  [ Fabio Tranchitella ]
  * debian/control: build-depend on python-van.pydeb >= 1.3.0-2.
    (Closes: #552930)

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 08 Nov 2009 11:22:51 +0100

zope.schema (3.5.4-5) unstable; urgency=low

  * Rebuild against van.pydeb 1.3.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Sep 2009 20:38:11 +0200

zope.schema (3.5.4-4) unstable; urgency=low

  * debian/rules: fixed a typo which resulted in wrong dependencies.

 -- Fabio Tranchitella <kobold@debian.org>  Sat, 29 Aug 2009 16:29:29 +0200

zope.schema (3.5.4-3) unstable; urgency=low

  * Standards-Version: 3.8.3, no changed required.
  * debian/rules: fixed FTBFS with Python 2.6. (Closes: #543231)
  * debian/control: added conflict with zope3.

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 28 Aug 2009 11:33:10 +0200

zope.schema (3.5.4-2) unstable; urgency=low

  * Test depend on python-zope.testing as we need it for the test runner
    script.

 -- Brian Sutherland <brian@vanguardistas.net>  Tue, 02 Jun 2009 14:15:05 +0200

zope.schema (3.5.4-1) unstable; urgency=low

  * New upstream release
  * Add watch file
  * Change source package name
  * Standards-Version 3.8.1
  * Python-Version all
  * Build with the newer python-van.pydeb rather than python-
    vanguardistas.pydebdep

 -- Brian Sutherland <brian@vanguardistas.net>  Mon, 25 May 2009 22:34:24 +0200

python-zope.schema (3.4.0-2ubuntu1.2) lenny; urgency=low

  * Non-maintainer upload.
  * Rebuild for lenny

 -- Brian Sutherland <brian@vanguardistas.net>  Fri, 08 May 2009 11:19:29 +0000

python-zope.schema (3.4.0-2ubuntu1.1) etch-devel; urgency=low

  * Non-maintainer upload.
  * Rebuild for etch-devel

 -- Brian Sutherland <brian@vanguardistas.net>  Wed, 23 Jul 2008 09:46:51 +0200

python-zope.schema (3.4.0-2ubuntu1) hardy; urgency=low

  * Re-build for hardy

 -- Ignas Mikalajunas <ignas.mikalajunas@gmail.com>  Wed, 23 Apr 2008 11:19:24 +0300

python-zope.schema (3.4.0-2) gutsy; urgency=low

  * Use pydebdep

 -- Brian Sutherland <brian@vanguardistas.net>  Tue, 12 Feb 2008 22:41:42 +0100

python-zope.schema (3.4.0-1) gutsy; urgency=low

  * Inital Release

 -- Brian Sutherland <brian@vanguardistas.net>  Thu,  8 Nov 2007 19:27:48 +0100

=== debian/control ===
Source: zope.schema
Section: zope
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Brian Sutherland <brian@vanguardistas.net>,
           Fabio Tranchitella <kobold@debian.org>
Build-Depends: debhelper (>= 7),
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-van.pydeb
Standards-Version: 3.9.3
X-Python-Version: >= 2.4
XS-Testsuite: autopkgtest
Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.schema/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.schema/trunk
Homepage: http://pypi.python.org/pypi/zope.schema

Package: python-zope.schema
Architecture: all
Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends}
Provides: ${pydeb:Provides}
Suggests: ${pydeb:Suggests}
Conflicts: zope3
Description: zope.interface extension for defining data schemas
 Schemas extend the notion of interfaces to detailed descriptions of
 Attributes (but not methods).  Every schema is an interface and
 specifies the public fields of an object.  A *field* roughly
 corresponds to an attribute of a Python object.  But a Field provides
 space for at least a title and a description.  It can also constrain
 its value and provide a validation method.  Besides you can optionally
 specify characteristics such as its value being read-only or not
 required.

=== debian/rules ===
#!/usr/bin/make -f

export PYDEB_SUGGESTS_EXTRAS=test docs

%:
	dh $@ --with pydeb --with python2

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/z/zope.schema/zope.schema-(.*)\.tar\.gz

## zope.schema 4.4.1

=== debian/changelog ===
zope.schema (4.4.1-1) unstable; urgency=low

  * Team upload.

  [ Gediminas Paulauskas ]
  * debian/control:
    - bump Standards-Version to 3.9.4
    - enable autopkgtest (Closes: #692691)
  * debian/tests: switch to zope.testrunner
  * debian/copyright: update to copyright-format 1.0

  [ Barry Warsaw ]
  * New upstream release.
  * d/control:
    - Bumped Standards-Version to 3.9.5 with no other changes necessary.
    - Added X-Python3-Version.
    - Added myself to Uploaders.
    - Updated Build-Depends
    - Added python3-zope.schema binary package.
    - wrap-and-sort
  * d/compat: Bump to version 9.
  * d/rules: Convert to pybuild and add dh_python3.
  * d/copyright: Added Files-Excluded header to prune pre-built Sphinx
    artifacts in docs/_build from the original tarball.

 -- Barry Warsaw <barry@debian.org>  Tue, 24 Jun 2014 19:47:02 -0400

## zope.schema 4.4.2

=== debian/changelog ===
zope.schema (4.4.2-3) unstable; urgency=medium

  * d/control: Add missing build dependency on python{,3}-zope.interface.
    (Closes: #802415)
  * d/patches/setup-test-require.patch: Added to work around a bug in
    dh_python3.
  * d/tests/control, d/tests/all: Rewrite to use simple Test-Commands and
    remove the 'all' script.

 -- Barry Warsaw <barry@debian.org>  Tue, 27 Oct 2015 12:53:11 -0400

zope.schema (4.4.2-2) unstable; urgency=medium

  * d/control: Bump Standards-Version with no other changes necessary.
  * d/watch: Use the pypi.debian.net redirector.

 -- Barry Warsaw <barry@debian.org>  Mon, 08 Jun 2015 17:17:54 -0400

zope.schema (4.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Barry Warsaw <barry@debian.org>  Fri, 12 Sep 2014 16:50:48 -0400

=== debian/control ===
Source: zope.schema
Section: zope
Priority: extra
Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Brian Sutherland <brian@vanguardistas.net>,
           Fabio Tranchitella <kobold@debian.org>,
           Barry Warsaw <barry@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-zope.event,
               python-zope.interface,
               python-zope.testing,
               python3-all,
               python3-setuptools,
               python3-zope.event,
               python3-zope.interface,
               python3-zope.testing
Standards-Version: 3.9.6
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.2
XS-Testsuite: autopkgtest
Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.schema/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.schema/trunk
Homepage: http://pypi.python.org/pypi/zope.schema

Package: python-zope.schema
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Conflicts: zope3
Description: zope.interface extension for defining data schemas
 Schemas extend the notion of interfaces to detailed descriptions of
 Attributes (but not methods).  Every schema is an interface and
 specifies the public fields of an object.  A *field* roughly
 corresponds to an attribute of a Python object.  But a Field provides
 space for at least a title and a description.  It can also constrain
 its value and provide a validation method.  Besides you can optionally
 specify characteristics such as its value being read-only or not
 required.
 .
 This is the Python 2 version.

Package: python3-zope.schema
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Conflicts: zope3
Description: zope.interface extension for defining data schemas
 Schemas extend the notion of interfaces to detailed descriptions of
 Attributes (but not methods).  Every schema is an interface and
 specifies the public fields of an object.  A *field* roughly
 corresponds to an attribute of a Python object.  But a Field provides
 space for at least a title and a description.  It can also constrain
 its value and provide a validation method.  Besides you can optionally
 specify characteristics such as its value being read-only or not
 required.
 .
 This is the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zope.schema

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: python -c "import zope.schema; print zope.schema"

Test-Command: python3 -c "import zope.schema; print(zope.schema)"

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/zope.schema/zope.schema-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## zope.schema 4.9.3

=== debian/changelog ===
zope.schema (4.9.3-1) unstable; urgency=medium

  * QA upload
  * New upstream release
  * d/watch
    - Use secure URI
  * d/control
    - Change to debhelper-compat
    - Bump debhelper to 12
    - Update Standards-Version to 4.4.1
    - Priority: change from extra to optional
    - Add Rules-Requires-Root
    - Secure URI on homepage
  * d/copyright
    - Use secure URI
    - Remove Files-Excluded, not included upstream.
  * d/rules
    - Enable testsuite

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Wed, 01 Jan 2020 21:20:28 +0100

zope.schema (4.4.2-5) unstable; urgency=medium

  * Replace custom autopkgtest with autodep8

 -- Paul Gevers <elbrus@debian.org>  Sat, 21 Sep 2019 14:02:02 +0200

zope.schema (4.4.2-4) unstable; urgency=medium

  * QA upload.
  * Orphan the package. Closes: #869472.
  * Stop building the Python2 package. Closes: #938913.
  * Fix lintian warnings.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Sep 2019 08:33:48 +0200

=== debian/control ===
Source: zope.schema
Section: zope
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-zope.event,
               python3-zope.interface,
               python3-zope.testing,
               python3-zope.testrunner,
               python3-zope.i18nmessageid,
Standards-Version: 4.4.1
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Homepage: https://pypi.python.org/pypi/zope.schema

Package: python3-zope.schema
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Conflicts: zope3
Description: zope.interface extension for defining data schemas
 Schemas extend the notion of interfaces to detailed descriptions of
 Attributes (but not methods).  Every schema is an interface and
 specifies the public fields of an object.  A *field* roughly
 corresponds to an attribute of a Python object.  But a Field provides
 space for at least a title and a description.  It can also constrain
 its value and provide a validation method.  Besides you can optionally
 specify characteristics such as its value being read-only or not
 required.
 .
 This is the Python 3 version.

## zope.schema 6.0.0

=== debian/changelog ===
zope.schema (6.0.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse
  * d/control:
    - Update Standards-Version to 4.5.0
    - Bump debhelper to 13
    - Set minimum version on python3-zope.interface

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Thu, 29 Oct 2020 21:12:22 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: zope
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-zope.event,
-               python3-zope.interface,
+               python3-zope.interface (>= 5.0),
                python3-zope.testing,
                python3-zope.testrunner,
                python3-zope.i18nmessageid,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Homepage: https://pypi.python.org/pypi/zope.schema

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/zope.schema/zope.schema-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## zope.schema 6.2.0

=== debian/changelog ===
zope.schema (6.2.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 6.2.0
  * d/watch: Update version to 4
  * d/control:
    - Change homepage to GitHub
    - Update Standards-Version to 4.6.0

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Tue, 19 Oct 2021 07:40:51 +0200

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                python3-zope.testing,
                python3-zope.testrunner,
                python3-zope.i18nmessageid,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
-Homepage: https://pypi.python.org/pypi/zope.schema
+Homepage: https://github.com/zopefoundation/zope.schema
 
 Package: python3-zope.schema
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zope.schema
export PYBUILD_BEFORE_TEST=cp -r src/zope/schema/tests/ ./
export PYBUILD_AFTER_TEST= rm -rf ./tests/

%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} setup.py test"	dh_auto_test

## zope.schema 7.0.1

=== debian/changelog ===
zope.schema (7.0.1-2) unstable; urgency=medium

  * Team upload.
  * No change rebuild for reproduce.d.n

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 04 May 2025 20:27:36 +0200

zope.schema (7.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 02 Jan 2023 14:27:37 +0000

zope.schema (7.0.0-1) unstable; urgency=medium

  * Switch Maintainer to the Debian Python Team (closes: #948814).
  * New upstream release.
  * Run tests using zope.testrunner.
  * Update standards version to 4.6.2, no changes needed.

 -- Colin Watson <cjwatson@debian.org>  Sun, 01 Jan 2023 18:24:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: zope.schema
 Section: zope
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
@@ -11,10 +12,12 @@
                python3-zope.testing,
                python3-zope.testrunner,
                python3-zope.i18nmessageid,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/zopefoundation/zope.schema
+Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.schema
+Vcs-Git: https://salsa.debian.org/python-team/packages/zope.schema.git
 
 Package: python3-zope.schema
 Architecture: all

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/zope.schema/zope.schema-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## zope.schema 7.1

=== debian/changelog ===
zope.schema (7.1-1) unstable; urgency=medium

  * New upstream release.
  * Use dh-sequence-python3.
  * Use pybuild-plugin-pyproject.
  * Switch to autopkgtest-pkg-pybuild.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Tue, 12 Aug 2025 12:39:24 +0100

## zope.schema 8.0

=== debian/changelog ===
zope.schema (8.0-1) unstable; urgency=medium

  * d/watch: Upgrade to v5.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 15 Sep 2025 13:00:09 +0100

## zope.schema 8.1

=== debian/changelog ===
zope.schema (8.1-1) unstable; urgency=medium

  * New upstream release:
    - Remove unnecessary `setuptools` runtime dependency (closes: #1084017).

 -- Colin Watson <cjwatson@debian.org>  Sun, 26 Oct 2025 16:12:00 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools,
                python3-zope.event,
@@ -12,9 +13,9 @@
                python3-zope.testing,
                python3-zope.testrunner,
                python3-zope.i18nmessageid,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/zopefoundation/zope.schema
 Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.schema
 Vcs-Git: https://salsa.debian.org/python-team/packages/zope.schema.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME := zope.schema
export PYBUILD_TEST_CUSTOM := 1
export PYBUILD_TEST_ARGS := \
	PYTHONPATH=. {interpreter} -m zope.testrunner --test-path $(if $(PYBUILD_AUTOPKGTEST),/usr/lib/python3/dist-packages,.) --package zope.schema -vv

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Source: https://pypi.debian.net/zope.schema/
Matching-Pattern: zope.schema-@ANY_VERSION@@ARCHIVE_EXT@
